pwrkap_main(8)

NAME
pwrkap_main - Main pwrkap system daemon

SYNOPSIS
pwrkap_main [-d] [-w] [-f] [-t] listen_port [ log_age ]

DESCRIPTION
pwrkap_main starts the main pwrkap control daemon. This piece of software observes power use for a given hardware configuration and system load, and tries to enforce a power cap by raising or lowering each device's performance capabilities.

OPTIONS

-d  Run in the foreground, for debugging.

-w  Start web service on port 8036.

-f  Simulate a system full of power-managed system.

-t  Do not reuse saved data.

listen_port
    Listen for pwrkap clients on this TCP port.

log_age
    Keep old status data around for log_age seconds.

AUTHOR
Darrick J. Wong <djwong at us dot ibm dot com>

SEE ALSO
pwrkap_gtk(1), pwrkap_cli(1), pwrkap_aggregate(8)